<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwDIP: fwDIPImport.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwDIP
   &#160;<span id="projectnumber">8.5.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwDIPImport_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwDIPImport.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr class="memitem:ad744a0fc6a1f7d06c590d4897f2cb96b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#ad744a0fc6a1f7d06c590d4897f2cb96b">fwDIPImport_getNodeValue</a> (int docNum, int node)</td></tr>
<tr class="separator:ad744a0fc6a1f7d06c590d4897f2cb96b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea831f9f26ea44b09a0032a5e7348759"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#aea831f9f26ea44b09a0032a5e7348759">_fwDIP_checkDIPManager</a> (mapping mTemp, mapping &amp;m_dsAllPublication, dyn_string &amp;exceptionInfo, file fFile)</td></tr>
<tr class="separator:aea831f9f26ea44b09a0032a5e7348759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5751c9f539879d2fe354f7116bdd8333"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a5751c9f539879d2fe354f7116bdd8333">_fwDIPImport_getAllOtherDIPPublication</a> (dyn_string dsDIPAllConfig, string sDIPConfig, mapping &amp;m_dsAllPublication, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5751c9f539879d2fe354f7116bdd8333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a221399ce995ecaed9c342566ff22c85f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a221399ce995ecaed9c342566ff22c85f">_fwDIPImport_isPublicationUsed</a> (string sPublicationName, mapping &amp;m_dsAllPublication, string &amp;sDIPConfig)</td></tr>
<tr class="separator:a221399ce995ecaed9c342566ff22c85f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918ea18557c3109651d3a7b2e839ff46"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a918ea18557c3109651d3a7b2e839ff46">_fwDIP_getAllDIPConfigFromConfigFile</a> (dyn_int &amp;diNumber, dyn_string &amp;dsConfigFileDIPConfig)</td></tr>
<tr class="separator:a918ea18557c3109651d3a7b2e839ff46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b6a55a8855843bae62c559b3cd98824"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a9b6a55a8855843bae62c559b3cd98824">fwDIPImport_checkDriver</a> (dyn_string &amp;exceptionInfo, file fFile)</td></tr>
<tr class="separator:a9b6a55a8855843bae62c559b3cd98824"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a759ab2e2680678dac1de0f00d4bfaa3c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a759ab2e2680678dac1de0f00d4bfaa3c">_fwDIPImport_addStartManager</a> (int iManagerType, string sManager, string sCommandLine, string sAction)</td></tr>
<tr class="separator:a759ab2e2680678dac1de0f00d4bfaa3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88c6fa8d153b6d58dd8d4504249fe4ef"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a88c6fa8d153b6d58dd8d4504249fe4ef">_fwDIPImport_managerState</a> (int iManagerType, string sManager, string sCommandLine, int iManagerNumber)</td></tr>
<tr class="separator:a88c6fa8d153b6d58dd8d4504249fe4ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a949f1b6b3fdbcb06095d809702aebc79"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a949f1b6b3fdbcb06095d809702aebc79">fwDIPImport_loadFile</a> (int &amp;iDipMgrNumber, string sFile, dyn_mapping &amp;dmDIPtype, mapping &amp;mDIPdpeList, mapping &amp;m_dsAllPublication, dyn_string &amp;exceptionInfo, string sLogFile=&quot;&quot;)</td></tr>
<tr class="separator:a949f1b6b3fdbcb06095d809702aebc79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e583ec2048ac980fb3b9a41eaa069ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a0e583ec2048ac980fb3b9a41eaa069ee">fwDIPImport_createDIPConfig</a> (dyn_mapping &amp;dmDIPtype, mapping &amp;mDIPdpeList, dyn_string &amp;exceptionInfo, string sLogFile=&quot;&quot;)</td></tr>
<tr class="separator:a0e583ec2048ac980fb3b9a41eaa069ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a192850beeda2c7ff8ae32e8bfd58da40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a192850beeda2c7ff8ae32e8bfd58da40">_fwDIPImport_createDIPManagerConfig</a> (file fFile, mapping mDIPtype, string &amp;sDIPConfigDP, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a192850beeda2c7ff8ae32e8bfd58da40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed2c5cea44d4372935d745a9d920e98"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a5ed2c5cea44d4372935d745a9d920e98">fwDIPImport_DIPApiManager</a> (int iManagerNumber, string sDns, string sParameters, dyn_string &amp;exceptionInfo, file fFile)</td></tr>
<tr class="separator:a5ed2c5cea44d4372935d745a9d920e98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae812fffecdc24630ea9e198738a5c62d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#ae812fffecdc24630ea9e198738a5c62d">fwDIPImport_DIPApiConfigProjectFile</a> (int iManagerNumber, string sDIPConfigDP, dyn_string &amp;exceptionInfo, file fFile)</td></tr>
<tr class="separator:ae812fffecdc24630ea9e198738a5c62d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ad5153c37c360664b0f4ad6cdfc7dba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a1ad5153c37c360664b0f4ad6cdfc7dba">fwDIPImport_DIPConfigDP</a> (string sDIPConfigDP, string sPublisherName, int iQueryTimeOut, dyn_string &amp;exceptionInfo, file fFile)</td></tr>
<tr class="separator:a1ad5153c37c360664b0f4ad6cdfc7dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af286a46a86487a66b0f44dcfc5b43ca9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#af286a46a86487a66b0f44dcfc5b43ca9">_fwDIPImport_createDIPPublicationSubscriptionConfig</a> (file fFile, string sDIPConfigDP, mapping mDIPtype, dyn_dyn_string ddsDPE, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:af286a46a86487a66b0f44dcfc5b43ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40e2f5c12573c47f70e1216956865ca4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a40e2f5c12573c47f70e1216956865ca4">_fwDIPImport_createDIPPublication</a> (file fFile, string sDIPConfigDP, mapping mDIPtype, dyn_dyn_string ddsDPE, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a40e2f5c12573c47f70e1216956865ca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad489fed01f521c48855b2bf5a12e863c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#ad489fed01f521c48855b2bf5a12e863c">_fwDIPImport_dumpException</a> (string sType, file fFile, dyn_string exceptionInfoTemp, dyn_string &amp;exceptionInfo, string sPubName, string sDIPConfigDP)</td></tr>
<tr class="separator:ad489fed01f521c48855b2bf5a12e863c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1be683741a402e3f4e98244244fd58c6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a1be683741a402e3f4e98244244fd58c6">_fwDIPImport_checkPublicationDPE</a> (dyn_string &amp;dsDPE, dyn_string dsName, dyn_string dsElements, dyn_string dsAlias, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a1be683741a402e3f4e98244244fd58c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a630b57d9f6383d99a4c0b09fec1425ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a630b57d9f6383d99a4c0b09fec1425ae">_fwDIPImport_createDIPSubscription</a> (file fFile, string sDIPConfigDP, mapping mDIPtype, dyn_dyn_string ddsDPE, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a630b57d9f6383d99a4c0b09fec1425ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8832d34e1e856ee817f84791a73815da"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a8832d34e1e856ee817f84791a73815da">_fwDIPImport_checkAndCreateSubscriptionDPE</a> (string sSubscriptionType, dyn_string &amp;dsDPE, dyn_string dsType, dyn_string dsName, dyn_string dsElements, dyn_string dsAlias, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a8832d34e1e856ee817f84791a73815da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f858b7730293a544e56d3563291fa78"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a0f858b7730293a544e56d3563291fa78">_fwDIPImport_checkDPEType</a> (string sSubscriptionType, string sDPType, string sElements, dyn_string dsDpel, dyn_int diDpelType)</td></tr>
<tr class="separator:a0f858b7730293a544e56d3563291fa78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd644d98655748899043ad545dcf76d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#afd644d98655748899043ad545dcf76d9">_fwDIPImport_dumpInLogFile</a> (file fFile, dyn_mapping dmDIPtype, mapping mDIPdpeList)</td></tr>
<tr class="separator:afd644d98655748899043ad545dcf76d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aeb840956cc6d5ecd10f2706dd72713"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a8aeb840956cc6d5ecd10f2706dd72713">fwDIPImport_makeLogFileName</a> ()</td></tr>
<tr class="separator:a8aeb840956cc6d5ecd10f2706dd72713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab3b49c7cec2f18560be85626ac07f80"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#aab3b49c7cec2f18560be85626ac07f80">fwDIPImport_loadConfigInMemory</a> (int &amp;iDipMgrNumber, int docNum, int node, string type, dyn_mapping &amp;dmDIPtype, mapping &amp;mDIPdpeList, mapping &amp;m_dsAllPublication, file fFile, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aab3b49c7cec2f18560be85626ac07f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c91e65920a810260f904929046e3a04"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#a4c91e65920a810260f904929046e3a04">_fwDIPImport_add</a> (string manager, string startMode, int secKill, int restartCount, int resetMin, string commandLine, string host=&quot;&quot;, int port=4999, string user=&quot;&quot;, string pwd=&quot;&quot;)</td></tr>
<tr class="separator:a4c91e65920a810260f904929046e3a04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2c2078beea24e26edc98ca21f438385"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#ab2c2078beea24e26edc98ca21f438385">_fwDIPImport_pmonGetCount</a> (string sHost, int iPort)</td></tr>
<tr class="separator:ab2c2078beea24e26edc98ca21f438385"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae964c2be7cb53ca9e690339407cb4522"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#ae964c2be7cb53ca9e690339407cb4522">_fwDIP_fputs</a> (string sString, file fFile, int iPos=-1, int iMax=-1)</td></tr>
<tr class="separator:ae964c2be7cb53ca9e690339407cb4522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad39d1769903393a6d1b713204af8f6c9"><td class="memItemLeft" align="right" valign="top">public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#ad39d1769903393a6d1b713204af8f6c9">_fwDIP_setProgressBar</a> (int iPos=-1, int iMax=-1)</td></tr>
<tr class="separator:ad39d1769903393a6d1b713204af8f6c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc4c760f2d4664e8759f631aebb0179a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPImport_8ctl.html#acc4c760f2d4664e8759f631aebb0179a">_fwDIP_setRemainingTime</a> (int iElapsedTime, int iDone, int iTotal, bool bVisible)</td></tr>
<tr class="separator:acc4c760f2d4664e8759f631aebb0179a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains utility functions for the import of fwDIP config.</p>
<dl class="section user"><dt>Creation Date</dt><dd>19/12/2002</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd>09/04/2015: Herve ENS-11382: DIP Import blocks HMI</dd></dl>
<p>27/08/2013: Herve Milcent DIP-120 - DIP and fwDipImport, accept "single" keyword in the import file and use "single" in the export instead of "simple"</p>
<p>27/08/2013: Herve Milcent first version</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Herve Milcent </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ad744a0fc6a1f7d06c590d4897f2cb96b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwDIPImport_getNodeValue </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>docNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get the value of a xml node
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">docNum</td><td>input, the xml document number </td></tr>
    <tr><td class="paramname">node</td><td>input, the node id </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value of the xml node or "" in case of an error is returned </dd></dl>

</div>
</div>
<a class="anchor" id="aea831f9f26ea44b09a0032a5e7348759"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwDIP_checkDIPManager </td>
          <td>(</td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mTemp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>m_dsAllPublication</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check if the DIP configuration is correct
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mTemp</td><td>input, the current DIP config read from the file </td></tr>
    <tr><td class="paramname">m_dsAllPublication</td><td>the list of all the publications except the ones of the current DIP config used </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true=OK/false=error </dd></dl>

</div>
</div>
<a class="anchor" id="a5751c9f539879d2fe354f7116bdd8333"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_getAllOtherDIPPublication </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsDIPAllConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>m_dsAllPublication</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get all the publications except the ones of the DIP config currently used
</pre><p> the list of publications is returned in a mapping variable:</p>
<ul>
<li>key: the DIP config name</li>
<li>value: the list of publication</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsDIPAllConfig</td><td>input, list of all the existing DIP config </td></tr>
    <tr><td class="paramname">sDIPConfig</td><td>input, the DIP config to skip </td></tr>
    <tr><td class="paramname">m_dsAllPublication</td><td>the list of all the publication except the ones of the current DIP config used </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a221399ce995ecaed9c342566ff22c85f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwDIPImport_isPublicationUsed </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPublicationName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>m_dsAllPublication</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>sDIPConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check if the publication is already defined and return the DIP config name
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sPublicationName</td><td>input, the DIP publication </td></tr>
    <tr><td class="paramname">m_dsAllPublication</td><td>the list of all the publication except the ones of the current DIP config used </td></tr>
    <tr><td class="paramname">sDIPConfig</td><td>if the publication is already defined, the DIP config DP name is returned here </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true=publication already defined/false=publication not defined </dd></dl>

</div>
</div>
<a class="anchor" id="a918ea18557c3109651d3a7b2e839ff46"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwDIP_getAllDIPConfigFromConfigFile </td>
          <td>(</td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>diNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsConfigFileDIPConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get all the DIP Config from the wincc oa config file.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">diNumber</td><td>the list of DIP manager number </td></tr>
    <tr><td class="paramname">dsConfigFileDIPConfig</td><td>the list of DIP config DP </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0=OK/any other value=error </dd></dl>

</div>
</div>
<a class="anchor" id="a9b6a55a8855843bae62c559b3cd98824"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPImport_checkDriver </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check if the SIM driver 13 is started and of type SIM, if not, it is added in the console and started
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a759ab2e2680678dac1de0f00d4bfaa3c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_addStartManager </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iManagerType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sCommandLine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sAction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Add a manager in the console, start a manager in the console
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iManagerType</td><td>input, the type of manager: DRIVER_MAN, API_MAN </td></tr>
    <tr><td class="paramname">sManager</td><td>input, the manager name </td></tr>
    <tr><td class="paramname">sCommandLine</td><td>input, command line of the manager </td></tr>
    <tr><td class="paramname">sAction</td><td>input, type of action: "ManStart"=start a manager, "ManAdd"=add a manager </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a88c6fa8d153b6d58dd8d4504249fe4ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwDIPImport_managerState </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iManagerType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sCommandLine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iManagerNumber</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check the state of a manager
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iManagerType</td><td>input, the type of manager: DRIVER_MAN, API_MAN </td></tr>
    <tr><td class="paramname">sManager</td><td>input, the manager name </td></tr>
    <tr><td class="paramname">sCommandLine</td><td>input, command line of the manager </td></tr>
    <tr><td class="paramname">iManagerNumber</td><td>input, the manager number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the state of the manager: FWDIPIMPORT_CONST_DRIVER_NOTINCONSOLE, FWDIPIMPORT_CONST_DRIVER_RUNNING, FWDIPIMPORT_CONST_DRIVER_NOTRUNNING </dd></dl>

</div>
</div>
<a class="anchor" id="a949f1b6b3fdbcb06095d809702aebc79"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPImport_loadFile </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>iDipMgrNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mapping &amp;&#160;</td>
          <td class="paramname"><em>dmDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>mDIPdpeList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>m_dsAllPublication</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sLogFile</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Load a XML file
</pre><p> All the DIP configuration of the file are kept in two variables:</p>
<ul>
<li>the type DIP configuration (configuration, publication, subscription) are kept in a dyn_mapping variable: dmDIPtype</li>
<li>the index of the configuration in dmDIPtype is the key of the DPE list in mDIPdpeList.</li>
<li>the mDIPdpeList is a mapping composed of dyn_dyn_string, each index of the dyn_dyn_string of a given key is the list of DPE and its configuration, the configuration is a dyn_string</li>
<li><p class="startli">in a mapping of the list dmDIPtype one can have:</p>
<ul>
<li>the DIP configuration (usually the first instance), there is no DPE list associated in mDIPdpeList</li>
<li>the publication, one mapping per publication, there could be a list of DPE in mDIPdpeList for this publication example: dmDIPtype[1]: configuration, DIP config dmDIPtype[1]: publication, type of publication, etc. dmDIPtype[2]: publication, type of publication, etc. .... dmDIPtype[n]: subscription, type of publication, etc.</li>
</ul>
<p class="startli">mDIPdpeList[1]: dyn_string[1] first DPE of the publication and it configuration dyn_string[2] second DPE of the publication and it configuration ... mDIPdpeList[2]: dyn_string[1] first DPE of the publication and it configuration</p>
<p class="startli">.... mDIPdpeList[n]: dyn_string[1] first DPE of the subscription and it configuration</p>
<p class="startli">The DPE configuration is a dyn_string: [1] name [2] alias [3] element [4] tag [5] buffer [6] overwrite: true or false [7] type: simple, single or multiple [8] description [9] unit</p>
</li>
</ul>
<p>To retreive all the DIP configuration, one loops:</p>
<ul>
<li>over the length of dmDIPtype</li>
<li>get the DPE list from mDIPdpeList with the position in the dmDIPtype</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iDipMgrNumber</td><td>the DIP manager number to used </td></tr>
    <tr><td class="paramname">sFile</td><td>input, the XML file to read </td></tr>
    <tr><td class="paramname">dmDIPtype</td><td>list of DIP configuration </td></tr>
    <tr><td class="paramname">mDIPdpeList</td><td>DPE list </td></tr>
    <tr><td class="paramname">m_dsAllPublication</td><td>all the DIP publication </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">sLogFile</td><td>input, the log file name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0e583ec2048ac980fb3b9a41eaa069ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPImport_createDIPConfig </td>
          <td>(</td>
          <td class="paramtype">dyn_mapping &amp;&#160;</td>
          <td class="paramname"><em>dmDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>mDIPdpeList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sLogFile</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Create the DIP config, publication and subscription
</pre><p> All the DIP configuration of the file are kept in two variables:</p>
<ul>
<li>the type DIP configuration (configuration, publication, subscription) are kept in a dyn_mapping variable: dmDIPtype</li>
<li>the index of the configuration in dmDIPtype is the key of the DPE list in mDIPdpeList.</li>
<li>the mDIPdpeList is a mapping composed of dyn_dyn_string, each index of the dyn_dyn_string of a given key is the list of DPE and its configuration, the configuration is a dyn_string</li>
<li><p class="startli">in a mapping of the list dmDIPtype one can have:</p>
<ul>
<li>the DIP configuration (usually the first instance), there is no DPE list associated in mDIPdpeList</li>
<li>the publication, one mapping per publication, there could be a list of DPE in mDIPdpeList for this publication example: dmDIPtype[1]: configuration, DIP config dmDIPtype[1]: publication, type of publication, etc. dmDIPtype[2]: publication, type of publication, etc. .... dmDIPtype[n]: subscription, type of publication, etc.</li>
</ul>
<p class="startli">mDIPdpeList[1]: dyn_string[1] first DPE of the publication and it configuration dyn_string[2] second DPE of the publication and it configuration ... mDIPdpeList[2]: dyn_string[1] first DPE of the publication and it configuration</p>
<p class="startli">.... mDIPdpeList[n]: dyn_string[1] first DPE of the subscription and it configuration</p>
<p class="startli">The DPE configuration is a dyn_string: [1] name [2] alias [3] element [4] tag [5] buffer [6] overwrite: true or false [7] type: simple, single or multiple [8] description [9] unit</p>
</li>
</ul>
<p>To retreive all the DIP configuration, one loops:</p>
<ul>
<li>over the length of dmDIPtype</li>
<li>get the DPE list from mDIPdpeList with the position in the dmDIPtype</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dmDIPtype</td><td>list of DIP configuration </td></tr>
    <tr><td class="paramname">mDIPdpeList</td><td>DPE list </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">sLogFile</td><td>input, the log file name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a192850beeda2c7ff8ae32e8bfd58da40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_createDIPManagerConfig </td>
          <td>(</td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>sDIPConfigDP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Configure the DIP config
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">mDIPtype</td><td>input, a DIP configuration </td></tr>
    <tr><td class="paramname">sDIPConfigDP</td><td>the DIP config DP </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5ed2c5cea44d4372935d745a9d920e98"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPImport_DIPApiManager </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iManagerNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDns</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sParameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check if the DIP API manager is started and add it in the console if needed
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iManagerNumber</td><td>input, the DIP manager number </td></tr>
    <tr><td class="paramname">sDns</td><td>input, the DIP dns </td></tr>
    <tr><td class="paramname">sParameters</td><td>input, extra parameters for the DIP manager </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae812fffecdc24630ea9e198738a5c62d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPImport_DIPApiConfigProjectFile </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iManagerNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfigDP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Set the entry for the DIP API manager in the winccoa project config file
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iManagerNumber</td><td>input, the DIP manager number </td></tr>
    <tr><td class="paramname">sDIPConfigDP</td><td>input, the DIP config DP name </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1ad5153c37c360664b0f4ad6cdfc7dba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPImport_DIPConfigDP </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfigDP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPublisherName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iQueryTimeOut</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Create the DIP config DP if needed and set it.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sDIPConfigDP</td><td>input, the DIP config DP name </td></tr>
    <tr><td class="paramname">sPublisherName</td><td>input, the DIP config publisher name </td></tr>
    <tr><td class="paramname">iQueryTimeOut</td><td>input, the query timeout of for the DIP API manager </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af286a46a86487a66b0f44dcfc5b43ca9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_createDIPPublicationSubscriptionConfig </td>
          <td>(</td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfigDP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>ddsDPE</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Create the DIP publication or subscription.
</pre><p> All the DIP publication or subscription is stored in two variables:</p>
<ul>
<li>mDIPtype: containing the configuration of the publication or subscription</li>
<li>ddsDPE dyn_dyn_string: the list of DPE and its configuration The DPE configuration is a dyn_string: [1] name [2] alias [3] element [4] tag [5] buffer [6] overwrite: true or false [7] type: simple, single or multiple [8] description [9] unit</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">sDIPConfigDP</td><td>input, the DIP config DP name </td></tr>
    <tr><td class="paramname">mDIPtype</td><td>input, the DIP config publisher name </td></tr>
    <tr><td class="paramname">ddsDPE</td><td>input, the query timeout of for the DIP API manager </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a40e2f5c12573c47f70e1216956865ca4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_createDIPPublication </td>
          <td>(</td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfigDP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>ddsDPE</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Create the DIP publication.
</pre><p> All the DIP publication or subscription is stored in two variables:</p>
<ul>
<li>mDIPtype: containing the configuration of the publication or subscription</li>
<li>ddsDPE dyn_dyn_string: the list of DPE and its configuration The DPE configuration is a dyn_string: [1] name [2] alias [3] element [4] tag [5] buffer [6] overwrite: true or false [7] type: simple, single or multiple [8] description: not used [9] unit: not used</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">sDIPConfigDP</td><td>input, the DIP config DP name </td></tr>
    <tr><td class="paramname">mDIPtype</td><td>input, the DIP config publisher name </td></tr>
    <tr><td class="paramname">ddsDPE</td><td>input, the query timeout of for the DIP API manager </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad489fed01f521c48855b2bf5a12e863c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_dumpException </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>exceptionInfoTemp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPubName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfigDP</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Dump exception in the log file.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sType</td><td>input, type of configuration </td></tr>
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">exceptionInfoTemp</td><td>input, the exception to write to the log file </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">sPubName</td><td>input, the name of the configuration </td></tr>
    <tr><td class="paramname">sDIPConfigDP</td><td>input, the DIP config DP name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1be683741a402e3f4e98244244fd58c6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwDIPImport_checkPublicationDPE </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsDPE</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsElements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check and return the publication DPE.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsDPE</td><td>the list of DPE </td></tr>
    <tr><td class="paramname">dsName</td><td>input, the list of name xml node value </td></tr>
    <tr><td class="paramname">dsElements</td><td>input, the list of elements xml node value </td></tr>
    <tr><td class="paramname">dsAlias</td><td>input, the list of alias xml node value </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a630b57d9f6383d99a4c0b09fec1425ae"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_createDIPSubscription </td>
          <td>(</td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfigDP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>ddsDPE</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Create the DIP subscription.
</pre><p> All the DIP publication or subscription is stored in two variables:</p>
<ul>
<li>mDIPtype: containing the configuration of the publication or subscription</li>
<li>ddsDPE dyn_dyn_string: the list of DPE and its configuration The DPE configuration is a dyn_string: [1] name [2] alias [3] element [4] tag [5] buffer [6] overwrite: true or false [7] type: simple, single or multiple [8] description [9] unit</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">sDIPConfigDP</td><td>input, the DIP config DP name </td></tr>
    <tr><td class="paramname">mDIPtype</td><td>input, the DIP config publisher name </td></tr>
    <tr><td class="paramname">ddsDPE</td><td>input, the query timeout of for the DIP API manager </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8832d34e1e856ee817f84791a73815da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwDIPImport_checkAndCreateSubscriptionDPE </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sSubscriptionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsDPE</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsElements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check and create the subscription DPE
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sSubscriptionType</td><td>input, type of subscription read from the file, xsd:bool, xsd:float, xsd:int, xsd:string </td></tr>
    <tr><td class="paramname">dsDPE</td><td>list of DPE </td></tr>
    <tr><td class="paramname">dsType</td><td>input, DP type of the given DPE </td></tr>
    <tr><td class="paramname">dsName</td><td>input, the list of name xml node value </td></tr>
    <tr><td class="paramname">dsElements</td><td>input, the list of elements xml node value </td></tr>
    <tr><td class="paramname">dsAlias</td><td>input, the list of alias xml node value </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0f858b7730293a544e56d3563291fa78"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwDIPImport_checkDPEType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sSubscriptionType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDPType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sElements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsDpel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>diDpelType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check the type of DPE can accept the DIP subscription
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sSubscriptionType</td><td>input, type of subscription read from the file, xsd:bool, xsd:float, xsd:int, xsd:string </td></tr>
    <tr><td class="paramname">sDPType</td><td>input, DP type </td></tr>
    <tr><td class="paramname">sElements</td><td>input, the elements xml node value=DPE </td></tr>
    <tr><td class="paramname">dsDpel</td><td>input, the list of list of DPE of the sDPType </td></tr>
    <tr><td class="paramname">diDpelType</td><td>input, the list of list of DPE type of the sDPType </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afd644d98655748899043ad545dcf76d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPImport_dumpInLogFile </td>
          <td>(</td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mapping&#160;</td>
          <td class="paramname"><em>dmDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPdpeList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">dump the DIP config in the log file
</pre><p> All the DIP configuration of the file are kept in two variables:</p>
<ul>
<li>the type DIP configuration (configuration, publication, subscription) are kept in a dyn_mapping variable: dmDIPtype</li>
<li>the index of the configuration in dmDIPtype is the key of the DPE list in mDIPdpeList.</li>
<li>the mDIPdpeList is a mapping composed of dyn_dyn_string, each index of the dyn_dyn_string of a given key is the list of DPE and its configuration, the configuration is a dyn_string</li>
<li><p class="startli">in a mapping of the list dmDIPtype one can have:</p>
<ul>
<li>the DIP configuration (usually the first instance), there is no DPE list associated in mDIPdpeList</li>
<li>the publication, one mapping per publication, there could be a list of DPE in mDIPdpeList for this publication example: dmDIPtype[1]: configuration, DIP config dmDIPtype[1]: publication, type of publication, etc. dmDIPtype[2]: publication, type of publication, etc. .... dmDIPtype[n]: subscription, type of publication, etc.</li>
</ul>
<p class="startli">mDIPdpeList[1]: dyn_string[1] first DPE of the publication and it configuration dyn_string[2] second DPE of the publication and it configuration ... mDIPdpeList[2]: dyn_string[1] first DPE of the publication and it configuration</p>
<p class="startli">.... mDIPdpeList[n]: dyn_string[1] first DPE of the subscription and it configuration</p>
<p class="startli">The DPE configuration is a dyn_string: [1] name [2] alias [3] element [4] tag [5] buffer [6] overwrite: true or false [7] type: simple, single or multiple [8] description [9] unit</p>
</li>
</ul>
<p>To retreive all the DIP configuration, one loops:</p>
<ul>
<li>over the length of dmDIPtype</li>
<li>get the DPE list from mDIPdpeList with the position in the dmDIPtype</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">dmDIPtype</td><td>list of DIP configuration </td></tr>
    <tr><td class="paramname">mDIPdpeList</td><td>DPE list </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8aeb840956cc6d5ecd10f2706dd72713"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwDIPImport_makeLogFileName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">returns the file name to be use for log file
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>the file name is returned </dd></dl>

</div>
</div>
<a class="anchor" id="aab3b49c7cec2f18560be85626ac07f80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwDIPImport_loadConfigInMemory </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>iDipMgrNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>docNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mapping &amp;&#160;</td>
          <td class="paramname"><em>dmDIPtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>mDIPdpeList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>m_dsAllPublication</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Load the DIP config into memory
</pre><ul>
<li>the type DIP configuration (configuration, publication, subscription) are kept in a dyn_mapping variable: dmDIPtype</li>
<li>the index of the configuration in dmDIPtype is the key fo the DPE list in mDIPdpeList</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iDipMgrNumber</td><td>the DIP manager number to used </td></tr>
    <tr><td class="paramname">docNum</td><td>input, the XML doc number </td></tr>
    <tr><td class="paramname">node</td><td>input, the node number </td></tr>
    <tr><td class="paramname">type</td><td>input, type of config read from the xml file: configuration, publication, etc. </td></tr>
    <tr><td class="paramname">dmDIPtype</td><td>list of DIP configuration </td></tr>
    <tr><td class="paramname">mDIPdpeList</td><td>DPE list </td></tr>
    <tr><td class="paramname">m_dsAllPublication</td><td>all the DIP publication </td></tr>
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4c91e65920a810260f904929046e3a04"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwDIPImport_add </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>manager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>startMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>secKill</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>restartCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>resetMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>commandLine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>host</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>port</em> = <code>4999</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>user</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pwd</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">This function allows to insert a manager into a project. It is checked before, if the 
</pre><p> manager already exists.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">manager</td><td>name of the manager </td></tr>
    <tr><td class="paramname">startMode</td><td>{manual, once, always} </td></tr>
    <tr><td class="paramname">secKill</td><td>seconds to kill after stop </td></tr>
    <tr><td class="paramname">restartCount</td><td>number of restarts </td></tr>
    <tr><td class="paramname">resetMin</td><td>restart counter reset time (minutes) </td></tr>
    <tr><td class="paramname">commandLine</td><td>commandline for the manager </td></tr>
    <tr><td class="paramname">host</td><td>hostname </td></tr>
    <tr><td class="paramname">port</td><td>pmon port </td></tr>
    <tr><td class="paramname">user</td><td>pmon user </td></tr>
    <tr><td class="paramname">pwd</td><td>pmon password </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 - manager added, 2 - manager already existing, 3 - manager addition disabled, 0 - manager addition failed </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela (original idea by S. Schmeling) </dd></dl>
<p>!!!! </p>

</div>
</div>
<a class="anchor" id="ab2c2078beea24e26edc98ca21f438385"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwDIPImport_pmonGetCount </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sHost</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iPort</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Equivalent to pmonGetCount(). This function returns the number of manager in the console.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>Ui, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sHost</td><td>input, pmon hostname </td></tr>
    <tr><td class="paramname">iPort</td><td>input, pmon port number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the number of manager in the console </dd></dl>

</div>
</div>
<a class="anchor" id="ae964c2be7cb53ca9e690339407cb4522"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIP_fputs </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iPos</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iMax</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">dump string to a file and the screen log.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>Ui, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sString</td><td>input, string to write to the log and the screen log </td></tr>
    <tr><td class="paramname">fFile</td><td>input, file descriptor </td></tr>
    <tr><td class="paramname">iPos</td><td>input, progress bar value </td></tr>
    <tr><td class="paramname">iMax</td><td>input, progress bar max </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad39d1769903393a6d1b713204af8f6c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">public _fwDIP_setProgressBar </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iPos</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iMax</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">set the progress bar.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>Ui, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iPos</td><td>input, progress bar value </td></tr>
    <tr><td class="paramname">iMax</td><td>input, progress bar max </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acc4c760f2d4664e8759f631aebb0179a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIP_setRemainingTime </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iElapsedTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iDone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iTotal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bVisible</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">set the remaining time.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>Ui, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iElapsedTime</td><td>input, elapsed time since the beginning </td></tr>
    <tr><td class="paramname">iDone</td><td>input, number of element processed </td></tr>
    <tr><td class="paramname">iTotal</td><td>input, total number of element </td></tr>
    <tr><td class="paramname">bVisible</td><td>input, visibility of the text </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwDIPImport_8ctl.html">fwDIPImport.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
